Bug 596447 - System freezes after some minutes with nouveau and geforce 8200
System freezes after some minutes with nouveau and geforce 8200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 14:43 EDT by Tobias Jochmann
Modified: 2018-04-11 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the xorg.log (47.15 KB, text/plain)
2010-05-26 14:43 EDT, Tobias Jochmann
no flags Details
dmesg with kernel option 0x04 (76.54 KB, text/plain)
2010-05-31 14:51 EDT, Tobias Jochmann
no flags Details
/var/log/messages with kernel option 0x04 (590.52 KB, application/octet-stream)
2010-05-31 14:55 EDT, Tobias Jochmann
no flags Details

  None (edit)
Description Tobias Jochmann 2010-05-26 14:43:48 EDT
Created attachment 416975 [details]
the xorg.log

Description of problem:
After using F13 for some minutes F13 freezes


Version-Release number of selected component (if applicable):
kernel 2.6.33.4-95.fc13.i686
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13.i686


How reproducible: start F13 and work some minutes

  
Actual results: systemfreeze


Expected results: no freeze


Additional info: attached you find the xorg.log

this is my graphic card
02:00.0 VGA compatible controller: nVidia Corporation GeForce 8200 (rev a2) (prog-if 00 [VGA controller])
        Subsystem: nVidia Corporation Device cb84
Comment 1 Matěj Cepl 2010-05-31 08:31:48 EDT
Backtrace:
[   184.074] 0: /usr/bin/X (xorg_backtrace+0x3c) [0x80e51dc]
[   184.074] 1: /usr/bin/X (mieqEnqueue+0x1b7) [0x80e4ae7]
[   184.074] 2: /usr/bin/X (xf86PostMotionEventP+0xd2) [0x80be302]
[   184.074] 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x33f000+0x30a2) [0x3420a2]
[   184.074] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x33f000+0x3349) [0x342349]
[   184.074] 5: /usr/bin/X (0x8048000+0x68aa0) [0x80b0aa0]
[   184.074] 6: /usr/bin/X (0x8048000+0x11e8f4) [0x81668f4]
[   184.074] 7: (vdso) (__kernel_sigreturn+0x0) [0xd60400]
[   184.074] 8: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xfbc000+0x1c324) [0xfd8324]
[   184.074] 9: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xfbc000+0x1d840) [0xfd9840]
[   184.074] 10: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xfbc000+0x1d96f) [0xfd996f]
[   184.074] 11: /usr/lib/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x1dd) [0x57302d]
[   184.074] 12: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xfbc000+0x1b73f) [0xfd773f]
[   184.074] 13: /usr/lib/xorg/modules/libexa.so (0x2f2000+0x8ab3) [0x2faab3]
[   184.074] 14: /usr/lib/xorg/modules/libexa.so (0x2f2000+0x9663) [0x2fb663]
[   184.074] 15: /usr/bin/X (0x8048000+0xd4296) [0x811c296]
[   184.074] 16: /usr/lib/xorg/modules/libexa.so (0x2f2000+0xa861) [0x2fc861]
[   184.074] 17: /usr/bin/X (0x8048000+0xd3d15) [0x811bd15]
[   184.074] 18: /usr/bin/X (CompositeGlyphs+0xa7) [0x81b5ba7]
[   184.075] 19: /usr/bin/X (0x8048000+0xcdc7f) [0x8115c7f]
[   184.075] 20: /usr/bin/X (0x8048000+0xc9824) [0x8111824]
[   184.075] 21: /usr/bin/X (0x8048000+0x25f37) [0x806df37]
[   184.075] 22: /usr/bin/X (0x8048000+0x1a675) [0x8062675]
[   184.075] 23: /lib/libc.so.6 (__libc_start_main+0xe6) [0xa04cc6]
[   184.075] 24: /usr/bin/X (0x8048000+0x1a261) [0x8062261]
Comment 2 Matěj Cepl 2010-05-31 08:32:30 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Tobias Jochmann 2010-05-31 14:51:34 EDT
Created attachment 418374 [details]
dmesg with kernel option 0x04
Comment 4 Tobias Jochmann 2010-05-31 14:55:35 EDT
Created attachment 418375 [details]
/var/log/messages with kernel option 0x04
Comment 5 Tobias Jochmann 2010-05-31 14:56:23 EDT
I don´t have a xorg.conf
Comment 6 Christopher Antila 2010-05-31 16:45:07 EDT
I'm having the same problem with the following similar card:

01:00.0 VGA compatible controller: nVidia Corporation G96 [GeForce 9400 GT] (rev a1)

It seems like it might be related to mesa-dri-drivers-experimental.  When I have that package, it fails within minutes (and 3D support doesn't work anyway).  In about an hour of use without that package, I have yet to experience a failure.
Comment 7 Christopher Antila 2010-05-31 20:51:40 EDT
(In reply to comment #6)
> I'm having the same problem with the following similar card:
> 
> 01:00.0 VGA compatible controller: nVidia Corporation G96 [GeForce 9400 GT]
> (rev a1)
> 
> It seems like it might be related to mesa-dri-drivers-experimental.  When I
> have that package, it fails within minutes (and 3D support doesn't work
> anyway).  In about an hour of use without that package, I have yet to
> experience a failure.    

Now I'd like to negate this.  Although it seems that freezes are more frequent with Gallium3D enabled, it still happens without it.
Comment 8 Tobias Jochmann 2010-09-05 11:25:46 EDT
This Bug seems to be a duplicate of 596330.
Can you confirm this?
Comment 9 Christopher Antila 2010-09-05 18:00:31 EDT
I "solved" this problem by migrating back to Fedora 12.  Last week, I migrated back to Fedora 13, and the problem doesn't occur any more.  Since a fix was released not long ago, I'm willing to say at least that this problem was solved by the update that solved 596330, and that they seem to be duplicates, anyway.
Comment 10 Bug Zapper 2011-06-02 09:23:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 12:43:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.